Bug 500761 - replace custom fields mapping tables with easy to maintain code
replace custom fields mapping tables with easy to maintain code
Status: CLOSED WONTFIX
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
3.6
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Simon Green
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-13 23:09 EDT by Noura El hawary
Modified: 2014-10-12 18:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 19:38:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noura El hawary 2009-05-13 23:09:12 EDT
having cutom fields mapping tables for its names to remove the cf_* from the name can be hard to maintain as we always will have to add any newly created custom fields to those tables, we need to replace that code with more maintainable code like loop through all available custom fields and just do s/^cf_// on the field name? an example for code that needs changing is in bugzilla.getBug

Noura
Comment 1 David Lawrence 2010-01-15 11:55:16 EST
Red Hat Bugzilla is now using version 3.4 of the Bugzilla codebase and
therefore this bug will need to be re-verified against the new release. With
the updated code this bug may no longer be relevant or may have been fixed in
the new code. Updating bug version to 3.4.
Comment 2 David Lawrence 2010-08-25 17:43:05 EDT
Red Hat has now upgraded to Bugzilla 3.6 and this bug will now be reassigned to that version. It would be helpful to the Bugzilla Development Team if this bug is verified to still be an issue with the latest version. If it is no longer an issue, then feel free to close, otherwise please comment that it is still a problem and we will try to address the issue as soon as we can.

Thanks
Bugzilla Development Team
Comment 5 Simon Green 2012-06-19 19:38:47 EDT
Closing, as we now use cf_<name> as inputs and outputs in the RPC calls. This makes maintaining the code much easier, and matches upstream. It also prevents possible collisions in name space.

Note You need to log in before you can comment on or make changes to this bug.